Flatten z coordinate?
For some reason my z coordinate in a 2d drawing has gotten off. I have used the flatten command to restore all the existing entities to a z of "zero", but I cannot get the new entities I draw to be zero. It reverts back to the old z coordinate. I have tried setting the UCS and the z coordinate but it is not working. Does anyone know how to do this?Thank you,Paul
Comments
-
Hi!There is a lisp that gets some benefit from a Acad Bug. It moves all the drawing at the limits of Drawing scale.One time at 0,0,1e99, and after at 0,0,-1e99.here is the lisp:(defun c:alt0 () (setq cmdecho (getvar "cmdecho")) (setvar "cmdecho" 0) (sssetfirst nil nil) (command "_move" "_all" "" "0,0,0" "0,0,1e99" "_move" "_p" "" "0,0,0" "0,0,-1e99" ) (setvar "cmdecho" cmdecho) (princ))Enjoy! ;)Matt.
0 -
Oh excuse me I didn't read your post entirely!try to enter in the command bar : "_ucs" and "_w".
0 -
New entities are given a default Z value that is stored in the ELEVATION system variable.The following SETVAR command should work to set all new entities Z value to 0.0... assuming you don't use any ESNAP when creating the entities..(setvar "ELEVATION" 0.0)or type ELEVATION at the command line and enter 0.0Steve
0